/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.uima.test;
import org.apache.uima.cas.CAS;
import org.apache.uima.collection.CasConsumer_ImplBase;
import org.apache.uima.resource.ResourceInitializationException;
import org.apache.uima.resource.ResourceProcessException;

public class CasConsumer extends CasConsumer_ImplBase {

 
  /* (non-Javadoc)
   * @see org.apache.uima.collection.CasConsumer_ImplBase#initialize()
   */
  public void initialize() throws ResourceInitializationException {
    super.initialize();
    
    // check datapath setting for the test cas consumer
    String datapath = getUimaContext().getDataPath();
    if (!datapath.equals("/home/uima/test/datapath")) {
      throw new ResourceInitializationException(new RuntimeException(
              "UIMA datapath setting is not correct!"));
    }

    // check system properties for the test cas consumer
    String propertyValue = System.getProperty("analysisEnginePearTestKey");
    if (!propertyValue.equals("analysisEnginePearTestKeyValue")) {
      throw new ResourceInitializationException(new RuntimeException(
              "analysis engine annotator system property is not correct!"));
    }

  }

  /* (non-Javadoc)
   * @see org.apache.uima.collection.base_cpm.CasObjectProcessor#processCas(org.apache.uima.cas.CAS)
   */
  public void processCas(CAS aCAS) throws ResourceProcessException {

    //do nothing
    
  }



}
